Optional update for gcc8

SUSE Recommended Update: Optional update for gcc8
Announcement ID: SUSE-RU-2018:3655-2
Rating: low
References: #1084812 #1084842 #1087550 #1094222 #1102564
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15

An update that has 5 recommended fixes can now be installed.

Description:


The GNU Compiler GCC 8 is being added to the Development Tools Module by this update.
The update also supplies gcc8 compatible libstdc++, libgcc_s1 and other gcc derived libraries for the Basesystem module of SUSE Linux Enterprise 15.
Various optimizers have been improved in GCC 8, several of bugs fixed, quite some new warnings added and the error pin-pointing and fix-suggestions have been greatly improved.
The GNU Compiler page for GCC 8 contains a summary of all the changes that have happened:
https://gcc.gnu.org/gcc-8/changes.html
Also changes needed or common pitfalls when porting software are described on:
https://gcc.gnu.org/gcc-8/porting_to.html

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-227=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (s390x):
    • libatomic1-32bit-8.2.1+r264010-1.3.7
    • libgcc_s1-32bit-8.2.1+r264010-1.3.7
    • libgomp1-32bit-8.2.1+r264010-1.3.7
    • libitm1-32bit-8.2.1+r264010-1.3.7
    • libstdc++6-32bit-8.2.1+r264010-1.3.7
    • libstdc++6-devel-gcc8-32bit-8.2.1+r264010-1.3.7

References: